Bug 323085 - Tasks become narrow after opening a window and switching to a different desktop
Summary: Tasks become narrow after opening a window and switching to a different desktop
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-taskbar (show other bugs)
Version: 4.10.97
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-01 19:09 UTC by Fabio D'Urso
Modified: 2013-08-02 09:45 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Video (494.97 KB, video/ogg)
2013-08-01 19:10 UTC, Fabio D'Urso
Details
Screenshot of the settings (55.11 KB, image/png)
2013-08-01 19:11 UTC, Fabio D'Urso
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio D'Urso 2013-08-01 19:09:05 UTC
I have checked "only show tasks from the current desktop".
After opening a new window in a empty desktop B and switching to a different desktop A with some existing windows, these windows' tasks look very narrow. In particular, it seems to me that their total width is the same as the only task in desktop B.
I'm attaching a video to show the issue and a screenshot of the settings.

Reproducible: Always

Steps to Reproduce:
1. Open some windows on desktop A
2. Switch to an empty desktop B
3. Open a window
4. Switch back to desktop A
Actual Results:  
Taskbar's entries are very narrow

Expected Results:  
Taskbar's entries should be wide if there's space enough. I expect them to be as big as they were before switching to desktop B.

I've put 4.10.97 as version, but I've also reproduced the issue with git 691fc819b839dcd780e580db6fc443740b815767.

The issue goes away if I uncheck "force row settings".
Comment 1 Fabio D'Urso 2013-08-01 19:10:46 UTC
Created attachment 81514 [details]
Video
Comment 2 Fabio D'Urso 2013-08-01 19:11:39 UTC
Created attachment 81515 [details]
Screenshot of the settings
Comment 3 Eike Hein 2013-08-01 19:13:50 UTC
Thank you for a good and detailed bug report. I have a hunch what the problem might be but am away from the desk right now. Could you do me a favor and test with e73da75? I expect the problem not to occur there, and then roughly know how to fix it later.
Comment 4 Fabio D'Urso 2013-08-01 19:25:36 UTC
(In reply to comment #3)
It happens with e73da75 too :(
Comment 5 Eike Hein 2013-08-01 19:30:25 UTC
Rats, then it will take some closer investigation -- hopefully I can reproduce it. Thanks though.
Comment 6 Eike Hein 2013-08-02 08:39:59 UTC
Git commit a9954aec520612cbcdf5253ffc11bb6fc5a96ee8 by Eike Hein.
Committed on 02/08/2013 at 08:37.
Pushed by hein into branch 'KDE/4.11'.

Update container dimensions on child count changes in force row mode.

This got lost during reshuffling at some point.

M  +11   -4    plasma/desktop/applets/tasks/package/contents/ui/main.qml

http://commits.kde.org/kde-workspace/a9954aec520612cbcdf5253ffc11bb6fc5a96ee8
Comment 7 Eike Hein 2013-08-02 09:45:49 UTC
Git commit 20ad2d49ec2c6d8ec3066bb9d4feb45c4bded8d6 by Eike Hein.
Committed on 02/08/2013 at 09:45.
Pushed by hein into branch 'KDE/4.11'.

Forgot a case.

M  +15   -2    plasma/desktop/applets/tasks/package/contents/ui/main.qml

http://commits.kde.org/kde-workspace/20ad2d49ec2c6d8ec3066bb9d4feb45c4bded8d6